#!/bin/bash

gitUseExistingBackup()
{
    isHeader "Installing LibrePortal Backup"
    local backup_file="$1"
    local backup_file_without_zip=$(basename "$backup_file" .zip)
    update_done=false
    
    local result=$(runInstallOp unzip -o $backup_file -d $backup_install_dir)
    checkSuccess "Copy the configs to the backup folder"

    gitReset;
    
    local result=$(copyFolders "$backup_install_dir$backup_install_dir/$backup_file_without_zip/" "$docker_dir" "$sudo_user_name")
    checkSuccess "Copy the backed up folders back into the installation directory"

    gitCleanInstallBackups;

    gitUntrackFiles;

    isSuccessful "Custom changes have been discarded successfully"

    echo ""
    isNotice "You have restored the configuration files for LibrePortal."
    isNotice "To avoid any issues please rerun the 'libreportal' command."
    echo ""
    exit
    update_done=true
}
